Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface AuditEvent

All Known Subinterfaces:
  AuditAtnEvent, AuditAtzEvent, AuditMgmtEvent, AuditPolicyEvent, AuditRoleDeploymentEvent, AuditRoleEvent

All Known Implementing Classes:
  weblogic.security.providers.authorization.AuditBaseEventImpl

public interface AuditEvent

The `AuditEvent` interface provides a definition for passing audit information to an Auditing provider during a `writeEvent` operation. This is the base interface that is extended by components in the WebLogic Security Framework to compose specific audit event types. Extending this interface helps Auditing providers determine the calling security component.

If an implementor of this interface expects to receive a ContextHandler argument from a caller, they can extend the AuditContext interface.

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getEventType()` Gets the type of this `AuditEvent`.
`java.lang.Exception` | `getFailureException()` Gets an `Exception` object from which additional audit information can be obtained by using the `toString` method.
`AuditSeverity` | `getSeverity()` Gets the severity level value associated with the `AuditEvent`, from which the Auditing provider can make the decision whether or not to audit.
`java.lang.String` | `toString()` Returns pre-formatted audit information from which unicode characters can be obtained.

Method Detail

### getFailureException

    public java.lang.Exception getFailureException()

  Gets an `Exception` object from which additional audit information can be obtained by using the `toString` method.

  Returns:
    an `Exception` object containing additonal information.

### getSeverity

    public AuditSeverity getSeverity()

  Gets the severity level value associated with the `AuditEvent`, from which the Auditing provider can make the decision whether or not to audit.

  Returns:
    the `AuditSeverity` object contained in the `AuditEvent`.

### toString

    public java.lang.String toString()

  Returns pre-formatted audit information from which unicode characters can be obtained.

  Returns:
    a String containing the value of audit data.

  Overrides:
    toString in class java.lang.Object

### getEventType

    public java.lang.String getEventType()

  Gets the type of this `AuditEvent`.

  Returns:
    the type of this `AuditEvent`, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference